Reduces the speckle noise in an image

- « Imagick::deskewImage

- Imagick::destroy »

- PHP Manual
- Imagick
- Reduces the speckle noise in an image

# Imagick::despeckleImage

(PECL imagick 2, PECL imagick 3)

Imagick::despeckleImage — Reduces the speckle noise in an image

### Description

public Imagick::despeckleImage(): bool

Reduces the speckle noise in an image while preserving the edges of the original image.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::despeckleImage()

    <?php
    function despeckleImage($imagePath) {
        $imagick = new \Imagick(realpath($imagePath));
        $imagick->despeckleImage();
        header("Content-Type: image/jpg");
        echo $imagick->getImageBlob();
    }

    ?>